VoiceDock Docs
ApiB Y O K

Get BYOK provider configurations

Retrieve available BYOK providers and their supported models

GET
/byok/config

Retrieve available BYOK providers and their supported models

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/byok/config"
{
  "providers": [
    {
      "id": "deepgram",
      "name": "string",
      "category": "stt",
      "docsUrl": "string",
      "models": [
        {
          "id": "string",
          "name": "string",
          "default": true
        }
      ],
      "voices": [
        {
          "id": "string",
          "name": "string"
        }
      ]
    }
  ]
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}